Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet
Class KRSSLoader

    java.lang.Object
      org.mindswap.pellet.KRSSLoader

    public class KRSSLoader

extends java.lang.Object

Parse files written in KRSS format and loads into the given KB.

Author:
  Evren Sirin

Field Summary
`static boolean` | `DEBUG` Deprecated. Edit log4j.properties to turn on debugging
`static org.apache.commons.logging.Log` | `log`

Constructor Summary
`KRSSLoader()`

Method Summary
`boolean` | `isForceUppercase()`
`void` | `load(java.io.InputStream stream, KnowledgeBase kb)`
`void` | `load(java.io.Reader reader, KnowledgeBase kb)`
`void` | `load(java.lang.String file, KnowledgeBase kb)`
`void` | `setForceUppercase(boolean forceUppercase)`
`void` | `verifyABox(java.lang.String file, KnowledgeBase kb)`
`void` | `verifyTBox(java.lang.String file, KnowledgeBase kb)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static final org.apache.commons.logging.Log log

### DEBUG

    public static boolean DEBUG

  Deprecated. Edit log4j.properties to turn on debugging

Constructor Detail

### KRSSLoader

    public KRSSLoader()

Method Detail

### isForceUppercase

    public boolean isForceUppercase()

### setForceUppercase

    public void setForceUppercase(boolean forceUppercase)

### load

    public void load(java.io.Reader reader,
                     KnowledgeBase kb)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### load

    public void load(java.io.InputStream stream,
                     KnowledgeBase kb)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### load

    public void load(java.lang.String file,
                     KnowledgeBase kb)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### verifyTBox

    public void verifyTBox(java.lang.String file,
                           KnowledgeBase kb)
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### verifyABox

    public void verifyABox(java.lang.String file,
                           KnowledgeBase kb)
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.